﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TestWPF
{
	public class MyTileViewItem : ViewModelBase
	{
		private double restoredWidth;
		private double restoredHeight;
		private double minimizedHeight;

		public string Header { get; set; }
		public string Content { get; set; }
		public double RestoredWidth
		{
			get
			{
				return this.restoredWidth;
			}
			set
			{
				if (this.RestoredWidth != value)
				{
					this.restoredWidth = value;
					OnPropertyChanged("RestoredWidth");
				}
			}
		}
		public double RestoredHeight
		{
			get
			{
				return this.restoredHeight;
			}
			set
			{
				if (this.RestoredHeight != value)
				{
					this.restoredHeight = value;
					OnPropertyChanged("RestoredHeight");
				}
			}
		}
		public double MinimizedHeight
		{
			get
			{
				return this.minimizedHeight;
			}
			set
			{
				if (this.MinimizedHeight != value)
				{
					this.minimizedHeight = value;
					OnPropertyChanged("MinimizedHeight");
				}
			}
		}

		public MyTileViewItem(string header, string content, double rWidth, double rHeight, double mHeight = 300d)
		{
			this.Header = header;
			this.Content = content;
			this.RestoredWidth = rWidth;
			this.RestoredHeight = rHeight;
			this.MinimizedHeight = mHeight;
		}
	}
}
